package com.yonge.cooleshow.biz.dal.dto.search;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022/3/21 15:26
 */
@ApiModel(value = "TeacherAuthEntryRecordSearch", description = "老师入驻审核列表查询")
public class TeacherAuthEntryRecordSearch {
    @ApiModelProperty(value = "老师编号/名称/电话")
    private String search;
    @ApiModelProperty(value = "审批人")
    private String verifyUser;
    @ApiModelProperty(value = "申请开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;
    @ApiModelProperty(value = "申请结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    @ApiModelProperty(value = "老师认证审核状态  1、审核中 2、通过 3、不通过")
    private Integer teacherAuthStatus;

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public String getVerifyUser() {
        return verifyUser;
    }

    public void setVerifyUser(String verifyUser) {
        this.verifyUser = verifyUser;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getTeacherAuthStatus() {
        return teacherAuthStatus;
    }

    public void setTeacherAuthStatus(Integer teacherAuthStatus) {
        this.teacherAuthStatus = teacherAuthStatus;
    }
}
