package com.yonge.cooleshow.biz.dal.service;

import java.util.List;

import com.yonge.cooleshow.auth.api.entity.SysRole;
import com.yonge.cooleshow.biz.dal.entity.Employee;
import com.yonge.cooleshow.common.service.BaseService;

public interface EmployeeService extends BaseService<Long, Employee> {

    /**
     * 新增员工
     * @param employee
     */
    void add(Employee employee) throws Exception;

    /**
     * 修改员工信息
     * @param employee
     */
    void updateEmployee(Employee employee);

    List<Long> queryUserRole(Long sysUserId);

    int batchInsertRoleMenu( Long roleId, List<Integer> menuIds);

    int insertSysRole(SysRole sysRole);

}
