package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dto.req.TeacherSetReq;
import com.yonge.cooleshow.biz.dal.entity.Teacher;
import com.yonge.cooleshow.biz.dal.vo.TeacherVo;

/**
 * 教师表 服务类
 * @author liweifan
 * @date 2022-03-18
 */
public interface TeacherService extends IService<Teacher>  {


    /**
     * 自定义分页
     * @author liweifan
 	 * @date 2022-03-18
     */
    IPage<Teacher> selectPage(IPage<Teacher> page, Teacher teacher);
    /***
     * 查询老师设置页面详情
     * @author liweifan
     * @param: id
     * @updateTime 2022/3/22 10:22
     * @return: com.yonge.cooleshow.biz.dal.vo.TeacherVo
     */
    TeacherVo getSetDetail(Long id);
    /***
     * 设置老师详情
     * @author liweifan
     * @param: setReq
     * @param: id
     * @updateTime 2022/3/22 11:04
     */
    void submitSetDetail(TeacherSetReq setReq, Long id);

}