package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.yonge.cooleshow.biz.dal.entity.Teacher;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022/3/21 18:37
 */
@ApiModel(value = "TeacherHomeVo对象", description = "老师主页基本信息返回")
public class TeacherHomeVo {
    @ApiModelProperty("头像地址")
    private String heardUrl;
    @ApiModelProperty("老师姓名")
    private String username;
    @ApiModelProperty("星级")
    private Integer starGrade;
    @ApiModelProperty("粉丝数")
    private Integer fansNum;
    @ApiModelProperty("已上课时")
    private Integer expTime;
    @ApiModelProperty("未上课时")
    private Integer unExpTime;
    @ApiModelProperty("老师入驻状态  1、审核中 2、通过 3、不通过 ")
    private Integer entryStatus;

    public String getHeardUrl() {
        return heardUrl;
    }

    public void setHeardUrl(String heardUrl) {
        this.heardUrl = heardUrl;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getStarGrade() {
        return starGrade;
    }

    public void setStarGrade(Integer starGrade) {
        this.starGrade = starGrade;
    }

    public Integer getFansNum() {
        return fansNum;
    }

    public void setFansNum(Integer fansNum) {
        this.fansNum = fansNum;
    }

    public Integer getExpTime() {
        return expTime;
    }

    public void setExpTime(Integer expTime) {
        this.expTime = expTime;
    }

    public Integer getUnExpTime() {
        return unExpTime;
    }

    public void setUnExpTime(Integer unExpTime) {
        this.unExpTime = unExpTime;
    }

    public Integer getEntryStatus() {
        return entryStatus;
    }

    public void setEntryStatus(Integer entryStatus) {
        this.entryStatus = entryStatus;
    }
}
