package com.yonge.cooleshow.biz.dal.enums;

import com.yonge.cooleshow.common.enums.BaseEnum;

/**
 * 认证审核状态
 *
 * @Author: liweifan
 * @Data: 2022/3/16 10:19
 */
public enum AuthStatusEnum implements BaseEnum<Integer, AuthStatusEnum> {
    DOING(1, "审核中"),
    PASS(2, "通过"),
    UNPASS(3, "不通过");

    private Integer code;

    private String msg;

    AuthStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getMsg() {
        return msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }

}