package com.yonge.cooleshow.biz.dal.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yonge.cooleshow.biz.dal.dao.SubjectDao;
import com.yonge.cooleshow.biz.dal.dto.req.TeacherSetReq;
import com.yonge.cooleshow.biz.dal.entity.Subject;
import com.yonge.cooleshow.biz.dal.vo.TeacherVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yonge.cooleshow.biz.dal.entity.Teacher;
import com.yonge.cooleshow.biz.dal.dao.TeacherDao;
import com.yonge.cooleshow.biz.dal.service.TeacherService;

import java.util.Arrays;
import java.util.List;


@Service
public class TeacherServiceImpl extends ServiceImpl<TeacherDao, Teacher> implements TeacherService {
    /**
     * 分页查询
     */
    @Override
    public IPage<Teacher> selectPage(IPage<Teacher> page, Teacher teacher) {
        return page.setRecords(baseMapper.selectPage(page, teacher));
    }

    @Override
    public TeacherVo getSetDetail(Long id) {
        return baseMapper.getSetDetail(id);
    }

    @Override
    public void submitSetDetail(TeacherSetReq setReq, Long id) {
        baseMapper.updatetSetDetail(setReq, id);
    }

}